image: docker:17.07.0
services:
  - docker:17.07.0-dind

stages:
  - build
  - release

build:
  artifacts:
    untracked: true
  script:
    - timeout -t 7200 sh -x ./build.sh --build
  stage: build
  tags:
    - docker

release:
  artifacts:
    untracked: true
  only:
    - tags
    - triggers
  script: timeout -t 720 sh -x ./build.sh --release
  stage: release
  tags:
    - docker






